---
title: Debian
---

Debian é uma comunidade de pessoas que contribuem com seu trabalho de forma
voluntária para criar uma distribuição do Linux completamente livre e gratuita.
O Debian é baseado no núcleo Linux e nos utilitários base do GNU. A comunidade
mantém pacotes de software gerenciados através da ferramenta APT.
A distribuição possui uma variante estável, de teste e outra instável, e essas
versões recebem nomes dos personagens do Toy Story. Para a melhor gestão de um
sistema Debian são recomendadas as leituras:

* [Referência do Debian](https://www.debian.org/doc/manuals/debian-reference/).
* [Manual de Segurança do Debian](https://www.debian.org/doc/manuals/securing-debian-manual/).
* [Manual do Administrador Debian](https://www.debian.org/doc/manuals/debian-handbook/).

## Padrões do Debian para servidores

* Sistema de boot é o GRUB.
* Para gerenciar a rede são utilizados os pacotes systemd-networkd e
systemd-resolved [conforme a referência do Debian](https://www.debian.org/doc/manuals/debian-reference/ch05.en.html#_the_modern_network_configuration_without_gui).
* Não se usa `dhclient` do pacote isc-dhpc-client que está deprecado.
* O servidor de DHCP recomendado é o Kea, pois o isc-dhcp-server está deprecado.
* Sincronização do tempo usando NTP utiliza o pacote systemd-timesyncd.
* Em sistemas Debian não existe o grupo `wheel` [conforme a referência do Debian](https://www.debian.org/doc/manuals/debian-reference/ch04.en.html#_why_gnu_su_does_not_support_the_wheel_group), apenas o grupo `sudo`.
* Servidores de e-mail baseados em exim4 (sendo Postfix a segunda opção).
* Filtragem de pacotes via nftables, sendo iptables deprecado.
* Para logs, é utilizado o sistema de logs do asystemd-journald, sendo o
uso do rsyslog desencorajado para evitar a duplicação dos logs.
* Uso do screen para multiplexação.
* Editor vim.
* Shell bash ou dash.
* Isolamento de aplicações e chroot baseado em systemd-container.
* Sistema de backup usando o pacote bacula.

## Versões do Debian

### O futuro

* Os pacotes deprecados do ISC `isc-dhcp-client` e `isc-dhcp-server` serão removidos.
* As ferramentas deprecadas do `net-tools` eventualmente serão removidas e substituídas
pelas disponíveis em `iproute2` [conforme a página da wiki NetToolsDeprecation](https://wiki.debian.org/NetToolsDeprecation).
* O atualmente deprecado `iptables` será removido e substituído pelo `nftables`.
* Provavelmente o formato deb822 será o padrão:
  ```
  Types: deb deb-src
  URIs: http://deb.debian.org/debian/
  Suites: bookworm
  Components: main non-free-firmware contrib non-free

  Types: deb deb-src
  URIs: http://security.debian.org/debian-security/
  Suites: bookworm-security
  Components: main non-free-firmware contrib non-free
  ```
  Ainda não é.

### Debian 12 (bookworm)

Essa é a versão atualmente estável do Debian. Notavelmente em uma atualização
do Debian 11 para Debian 12 devem ser observados os seguintes cuidados [conforme
as notas de lançamento](https://www.debian.org/releases/bookworm/amd64/release-notes/ch-information.en.html):

* O PostgreSQL foi atualizado de 13 para 15, sendo a versão 13 não mais
suportada. A atualização pode ser feita usando `pg_upgradecluster`.
* O PHP foi atualizado de 7.4 para 8.2, sendo a versão 7.4 não mais suportada.
* Python 2 não existe mais.
* Núcleo Linux atualizado de 5.10 para 6.1.
* O sistema de logs rsyslog e seu companheiro logrotate não são mais oficialmente
suportados (mas ainda funcionam). O systemd-journald é o que deve ser usado
no lugar, sendo que ao desativar o rsyslog, o journald começa a funcionar automaticamente.
* O padrão para sincronizar o tempo com um servidor NTP agora é o
systemd-timesyncd.
* O systemd-resolved foi separado em um novo pacote, e não é o resolvedor
de DNS padrão no Debian. Geralmente o NetworkManager gera o `/etc/resolv.conf`.
* O systemd-boot foi separado em um novo pacote, e não é o boot padrão do Debian,
que é o GRUB.
* O isc-dhcp foi deprecado pelo ISC. Ao usar NetworkManager ou systemd-networkd,
o isc-dhcp-client (`dhclient`) não é mais necessário. Para servidores DHCP,
o Kea é recomendado.
* Debian 11 foi a última versão onde os diretórios `/bin/`, `/sbin/` e `/lib/`
eram opcionalmente separados. Agora eles são links simbólicos para os diretórios
em `/usr/`.
* Debian 11 foi a última versão com `apt-key`. As chaves devem ser gerenciadas
por arquivos no diretório `/etc/apt/trusted.gpg.d/` em formatos binários gerados
pelo GPG.

### Debian 11 (bullseye)

Em uma atualização do Debian 10 para Debian 11 devem ser observados os seguintes
cuidados [conforme as notas de lançamento](https://www.debian.org/releases/bullseye/amd64/release-notes/ch-information.en.html):

* Kernel 4.19 para 5.10.
* PostgreSQL 11 para 13.
* PHP 7.3 para 7.4.
* Agora as atualizações de segurança são no formato `bullseye-security` ao invés
de `bullseye/updates`.
* A ordem da descoberta de dispositivos SCSI não é mais determinística. Use
`/dev/disk/by-id/`.
* aufs não existe mais.

### Debian 10 (buster)

Em uma atualização do Debian 9 para Debian 10 devem ser observados os seguintes
cuidados [conforme as notas de lançamento](https://www.debian.org/releases/buster/amd64/release-notes/ch-information.en.html):

* PostgreSQL 9.6 para 11.
* PHP 7.0 para 7.3.
* Kernel 4.9 para 4.19.
* As interfaces de rede mudaram para nomes previsíveis (`eth0` -> `enp0s1`).
* O nftables é o padrão e existe uma camada de tradução do iptables para o nftables.
* Tudo sob o diretório `/usr/local` agora pertence ao grupo root, não mais ao grupo staff.
Foi deixado um arquivo `/etc/staff-group-for-usr-local` na atualização de sistemas
Debian 9 indicando que essa mudança deve ser feita na mão.

### Debian 9 (stretch)

Em uma atualização do Debian 8 para Debian 9 devem ser observados os seguintes
cuidados [conforme as notas de lançamento](https://www.debian.org/releases/stretch/amd64/release-notes.en.txt):

* Postgres 9.4 para 9.6.
* Kernel 3.16 para 4.9.
* PHP 5.6 para 7.0.
* MariaDB subsituiu o MySQL.

### Debian 8 (jessie)

Em uma atualização do Debian 7 para Debian 8 devem ser observados os seguintes
cuidados [conforme as notas de lançamento](https://www.debian.org/releases/jessie/amd64/release-notes.en.txt):

* Kernel 3.2 para 3.16.
* systemd é o novo sistema de inicialização, superando o SysVInit.
* Postgres 9.1 para 9.4.
* PHP 5.4 para 5.6.
* OpenOffice.org trocado por LibreOffice

## Manutenção de sistemas Debian

A manutenção de sistemas Debian deve ser feita com a ajuda de alguns pacotes:

* aptitude
* debsums
* deborphan
* chkrootkit
* clamav
* cruft

Alguns passos para uma limpeza de um sistema debian:

1. Verifique os pacotes que foram manualmente instalados utilizando `apt` ou
`aptitude`:

   ```console
   $ aptitude search '~i !~M'
   $ apt list --manual-installed
   ```

   Você pode marcar vários pacotes como "automáticos" (o que permite que eles
   sejam desinstalados se as dependências sumirem) usando `apt-mark auto`.

2. Termine de desinstalar os pacotes que foram parcialmente desinstalados e
ficaram em modo de remoção de configuração. Isso pode ser feito rodando
`aptitude purge ~c`.
3. Remova pacotes obsoletos que não estão em repositório nenhum através do
comando `aptitude purge ~o`. Note que isso pode ser resultado de um pacote
ter sido instalado manualmente, observe com atenção.
4. Note a lista de pacotes de terceiros obtida por
`aptitude search '~S ~i !~ODebian !~o'` e tente se livrar deles.
5. Encontre pacotes requebrados e reinstale-os. Isso pode ser feito rodando
`debsums --all --changed`. Note que arquivos de configuração são incluídos.
No geral, tente não modificar os arquivos de configuração originais e use
arquivos de configuração em diretórios separados. Para os pacotes que estiverem
danificados, reinstale-os rodando `apt install --reinstall`.
6. Use o programa `cruft` do pacote `cruft-ng` que mostra todos os arquivos
que não são mais úteis para o sistema mas estão instalados. Você pode criar
novas regras para ignorar mais arquivos se for necessário.
7. Comando radical:

   ```console
   $ apt autoremove -o APT::Autoremove::RecommendsImportant=0 -o APT::Autoremove::SuggestsImportant=0
   ```
