---
title: Docker
---

Docker é uma plataforma para desenvolver, implantar e rodar aplicações.
Quando falamos de Docker geralmente estamos falando mais especificamente do
Docker Engine que é uma tecnologia de conteinarização de
aplicações[^cite_dockerengine]. A ideia é que em um contêiner, você roda a
aplicação de uma maneira virtualizada, sendo que cada contêiner possui
um sistema operacional virtual. Essa é uma forma de virtualização
relativamente barata, somente não superando as disponíveis para linguagens
de programação, podendo ser comparadas assim:

```
 .------------. -.
 |    App     |  |
 |  em Java   |  |
 |------------|  | Docker
 |Java Virtual|  |
 |   Machine  |  |
 |------------| -'
 |   Sistema  |
 | Operacional|
 |------------|
 |   Máquina  |
 |   Virtual  |
 |------------|
 |  Hardware  |
 '------------'
```

O sistema operacional virtualizado dentro do Docker tem que ser compatível
com as APIs do Linux, pois o Docker apenas traduz as chamadas de sistema do
sistema operacional virtualizado de volta para o sistema operacional anfitrião.

[^cite_dockerengine]: Docker Docs: Docker Enginer overview.
URL: <https://docs.docker.com/engine/>.
