---
title: Como trocar discos no Ceph
tags: [ceph]
---

1. Identifique o disco falhado:

   ```console
   $ ceph health
   $ ceph osd tree | grep -i down
   ```

2. Pare o daemon do disco:

   ```console
   $ systemctl stop ceph-osd@OSD_ID
   ```

3. Tire o OSD do Ceph:

   ```console
   $ ceph osd out OSD_ID
   $ ceph osd crush remove osd.OSD_ID
   ```

4. Remova o disco do Ceph:

   ```console
   $ ceph osd rm osd.OSD_ID
   ```

5. Desmonte o disco:

   ```console
   $ umount /var/lib/ceph/osd/$CLUSTER_NAME-$OSD_ID
   ```

6. Remova do LVM, primeiro achando o disco e a partição do SSD correspondente a ele.

   Por exemplo, para remover do LVM OSD.0, primeiro ache o OSD.0 no LVM:

   ```console
   barril4:~# ceph-volume lvm list


   ====== osd.0 =======

     [db]          /dev/ceph-8e43d77e-ebc3-4c7e-9da8-475a37da59ae/osd-db-ea40e801-188f-4d53-afdb-6082eb5e8185

         block device              /dev/ceph-a75e7b96-ddb4-4838-8e98-777c1492dab5/osd-block-5b0842c7-ee56-4d05-8bb2-00efdb475b04
         block uuid                FDPpBc-cvOG-JZYq-5D6u-2RlJ-56gz-1LUncO
         cephx lockbox secret
         cluster fsid              c30ecc8d-440e-4608-b3fe-5020337ae11d
         cluster name              ceph
         crush device class        None
         db device                 /dev/ceph-8e43d77e-ebc3-4c7e-9da8-475a37da59ae/osd-db-ea40e801-188f-4d53-afdb-6082eb5e8185
     db uuid                   rN0LG9-86Dl-KgzQ-DUOd-hF9u-A3Kl-nLdwV2
     encrypted                 0
         osd fsid                  5b0842c7-ee56-4d05-8bb2-00efdb475b04
         osd id                    0
         osdspec affinity
         type                      db
         vdo                       0
         devices                   /dev/nvme0n1

     [block]       /dev/ceph-a75e7b96-ddb4-4838-8e98-777c1492dab5/osd-block-5b0842c7-ee56-4d05-8bb2-00efdb475b04

         block device              /dev/ceph-a75e7b96-ddb4-4838-8e98-777c1492dab5/osd-block-5b0842c7-ee56-4d05-8bb2-00efdb475b04
         block uuid                FDPpBc-cvOG-JZYq-5D6u-2RlJ-56gz-1LUncO
         cephx lockbox secret
         cluster fsid              c30ecc8d-440e-4608-b3fe-5020337ae11d
         cluster name              ceph
         crush device class        None
         db device                 /dev/ceph-8e43d77e-ebc3-4c7e-9da8-475a37da59ae/osd-db-ea40e801-188f-4d53-afdb-6082eb5e8185
         db uuid                   rN0LG9-86Dl-KgzQ-DUOd-hF9u-A3Kl-nLdwV2
         encrypted                 0
         osd fsid                  5b0842c7-ee56-4d05-8bb2-00efdb475b04
         osd id                    0
         osdspec affinity
         type                      block
         vdo                       0
         devices                   /dev/sdc
   ```

   Agora remova o `block` e o `db`.

   1. No caso do DB precisa remover tando do `ceph-volume`, quanto excluir
      a partição do SSD. O comando `ceph-volume lvm zap` remove do Ceph e
      o `lvremove` remove a partição do SSD:

      ```console
      $ ceph-volume lvm zap /dev/ceph-8e43d77e-ebc3-4c7e-9da8-475a37da59ae/osd-db-ea40e801-188f-4d53-afdb-6082eb5e8185
      $ lvremove /dev/ceph-8e43d77e-ebc3-4c7e-9da8-475a37da59ae/osd-db-ea40e801-188f-4d53-afdb-6082eb5e8185
      ```

   2. Para remover o bloco execute:

      ```console
      $ ceph-volume lvm zap /dev/ceph-a75e7b96-ddb4-4838-8e98-777c1492dab5/osd-block-5b0842c7-ee56-4d05-8bb2-00efdb475b04
      ```
