---
title: Como criar um quiosque do quadro de avisos
---

Um quiosque do quadro de avisos é uma máquina simples que abre uma
instância do Firefox ao iniciar o sistema em tela cheia na URL do site do
quadro de avisos e deve ser usado para mostrar o quadro de avisos em uma TV.

Deve ser instalado qualquer sistema operacional razoável e o ambiente gráfico
escolhido foi o LXDE. O quadro de avisos roda em um usuário configurado na
máquina e dentro do diretório do usuário configuramos a inicialização do LXDE
através do arquivo `$HOME/.config/lxsession/LXDE/autostart`:

```
@lxpanel --profile LXDE
@pcmanfm --desktop --profile LXDE
@xscreensaver -no-splash
@/home/quadrinuser/autostart.sh
```

Neste caso, o nome de usuário escolhido foi `quadrinuser`, e este script
chama o seguinte script localizado em `$HOME/autostart.sh`:

```
#!/bin/sh

# NOTA: configura apenas a *primeira* conexao q aparecer, rever se este eh o comportamento desejado
OUTPUT=$(xrandr | grep ' connected' | head -1 | cut -d' ' -f1)
WIDTH=$(xrandr | grep ' connected' | head -1 | grep -Eo '[0-9]+x[0-9]+' | cut -d'x' -f1)
HEIGHT=$(xrandr | grep ' connected' | head -1 | grep -Eo '[0-9]+x[0-9]+' | cut -d'x' -f2)

# rotacao do display
ROTATION='normal'

# url pro firefox abrir
APPURL='quadro-avisos.c3sl.ufpr.br'

# rotacionar (caso desejado) o display
xrandr --output "${OUTPUT}" --mode "${WIDTH}x${HEIGHT}" --pos 0x0 --rotate "${ROTATION}"

# iniciar firefox com o app
if [ "x${ROTATION}" = "xleft" ] || [ "x${ROTATION}" = "xright" ]; then
      # (WIDTH e HEIGHT trocados pq o monitor estah rotacionado)
      firefox --kiosk -width "${HEIGHT}" -height "${WIDTH}" "${APPURL}"
else
      firefox --kiosk -width "${WIDTH}" -height "${HEIGHT}" "${APPURL}"
fi
```
