---
title: Como identificar usuários pela chave SSH
---

Primeiro, encontre a impressão digital da chave no `journalctl`:
```console
$ journalctl -u ssh | grep -i accept
```

Por exemplo:

```console
[root@jas ~]# journalctl -u sshd | grep -i accept | tail
jan 06 16:01:45 jas sshd[983]: Accepted publickey for odair from 2801:82:80ff:8001:216:3eff:fe79:b port 48494 ssh2: ED25519 SHA256:LJbZVrqOxDhvRybhJT87P9mbvW+ObEo1O0qi5OLY1d0
jan 06 16:02:23 jas sshd[995]: Accepted publickey for odair from 2801:82:80ff:8001:216:3eff:fe79:b port 48496 ssh2: ED25519 SHA256:LJbZVrqOxDhvRybhJT87P9mbvW+ObEo1O0qi5OLY1d0
jan 06 16:02:36 jas sshd[1002]: Accepted publickey for odair from 2801:82:80ff:8001:216:3eff:fe79:b port 48498 ssh2: ED25519 SHA256:LJbZVrqOxDhvRybhJT87P9mbvW+ObEo1O0qi5OLY1d0
jan 07 08:10:00 jas sshd[4939]: Accepted publickey for root from 2801:82:80ff:8001:92e2:baff:fe44:50ec port 54284 ssh2: RSA SHA256:uudYV2P2IFHAGcRyTWrJC8urBRhyH6QlTEZ4ZObtHoM
jan 07 15:02:55 jas sshd[6650]: Accepted publickey for root from 200.17.202.89 port 37010 ssh2: ED25519 SHA256:6YKoOL2daoCVRp+ve0JZRz5bT73UtF2lRTJEepDteB8
jan 07 20:58:55 jas sshd[8126]: Accepted publickey for odair from 2801:82:80ff:8001:216:3eff:fe79:b port 50764 ssh2: ED25519 SHA256:x0C2GBIbCCB0bf49tA+hHTvjgOeS8sfY5iJAKXYwrkk
jan 07 21:30:49 jas sshd[2646]: Accepted publickey for odair from 2801:82:80ff:8001:216:3eff:fe79:b port 50772 ssh2: ED25519 SHA256:x0C2GBIbCCB0bf49tA+hHTvjgOeS8sfY5iJAKXYwrkk
jan 08 08:09:55 jas sshd[6149]: Accepted publickey for root from 2801:82:80ff:8001:92e2:baff:fe44:50ec port 55668 ssh2: RSA SHA256:uudYV2P2IFHAGcRyTWrJC8urBRhyH6QlTEZ4ZObtHoM
jan 09 08:10:09 jas sshd[4212]: Accepted publickey for root from 2801:82:80ff:8001:92e2:baff:fe44:50ec port 57380 ssh2: RSA SHA256:uudYV2P2IFHAGcRyTWrJC8urBRhyH6QlTEZ4ZObtHoM
jan 09 15:18:59 jas sshd[5994]: Accepted publickey for odair from 2801:82:80ff:8001:216:3eff:fe79:b port 50804 ssh2: ED25519 SHA256:LJbZVrqOxDhvRybhJT87P9mbvW+ObEo1O0qi5OLY1d0
```

Selecione a impressão digital da chave que deseja, como `SHA256:uudYV2P2IFHAGcRyTWrJC8urBRhyH6QlTEZ4ZObtHoM`.

Em seguida, identifique o dono da chave, vasculhando o `~/.ssh/authorized_keys`:
```bash
ssh-keygen -lf ~/.ssh/authorized_keys | grep $FINGERPRINT
```

Por exemplo:
```console
[root@jas ~]# ssh-keygen -lf .ssh/root_keys | grep SHA256:uudYV2P2IFHAGcRyTWrJC8urBRhyH6QlTEZ4ZObtHoM
2048 SHA256:uudYV2P2IFHAGcRyTWrJC8urBRhyH6QlTEZ4ZObtHoM salt@duvel (RSA)
```
