---
title: Como reiniciar a urquell cuidadosamente
---

Devido a erros de paridade no RAID, a [](/docs/machines/base/urquell) ao ser
reiniciada de forma abrupta pode voltar em modo de emergência.
Uma mitigação para que se evite que os erros acumulem e que a máquina
tenha mais chance de voltar sem precisar iniciar em modo de emergência
é reiniciar a urquell serviço a serviço como segue.
Os passos podem ser executados via [](/docs/concepts/ipmi) ou fisicamente:

1. Primeiro entre no modo de usuário único:

   ```
   $ init 1
   ```

2. Veja os serviços ativos:

   ```
   $ pstree -hluA
   ```

3. Mate todos os serviços via `kill` e `systemctl stop` exceto `mdadm`, e `systemd-udev`.
   Não é possível matar o serviço `system-journal`, então o ignore também.

4. Pare os pontos de montagem `/exports`:

   ```
   $ umount /exports/home
   $ umount /exports/prova
   $ umount /exports/nobackup
   ```

5. Pare os outros pontos de montagem:

   ```
   $ umount /home
   $ umount /nobackup
   $ umount /ssd
   $ umount /home_trappist
   ```

   Vai faltar o `/var`, mas esqueça: não vai ser possível desmontá-lo devido
   ao `journald` que escreve log em `/var/log/journal`.

6. Pare os arrays:

   ```
   $ mdadm -S /dev/md2
   $ mdadm -S /dev/md4
   $ mdadm -S /dev/md127
   ```

7. Mate o `mdadm`:

   ```
   $ pkill -f mdadm
   ```

8. Verifique se todos os serviços pararam com o comando:

   ```
   $ pstree -hluA
   ```

9. Reinicie a urquell:

   ```
   $ reboot
   ```
