---
title: duvel
---

| | |
|-------------|--------------------|
| **CPU** | 2x Intel(R) Xeon(R) CPU E5-2680 v2 @ 2.80GHz |
| **RAM** | 62 GiB |
| **Threads lógicas** | 40 = 2 sockets x 2 SMT x 10 cores |
| **Sistema operacional** | Debian GNU/Linux 12 6.1.38-1 (2023-07-14) |
| **Gerenciador de serviços** | [](/docs/concepts/systemd) |
| **Sistema de arquivos** `/boot` | [](/docs/concepts/ext4) [MD RAID1](/docs/concepts/md) 921 MiB |
| **Sistema de arquivos** `/` | [](/docs/concepts/ext4) [MD RAID1](/docs/concepts/md) 229 GiB |
| **Sistema de arquivos** `/tank` | [ZFS RAIDZ2](/docs/concepts/zfs) 21 TiB |
| **Sistema de arquivos** `/backup` | [ZFS RAIDZ2](/docs/concepts/zfs) 67 TiB |

A duvel é a máquina física que faz backup e permite o acesso ao parque computacional.
É possível acessar a duvel externamente através do endereço `duvel.c3sl.ufpr.br`. Em
algumas redes internas, porém, as regras de firewall barram o acesso, sendo
necessário a utilização de outra máquina como ponte para acessá-la
(por exemplo, através da [](urquell) ou da [](../virtuals/abbey)).

{{< alert title="TODO" >}}
Verificar em qual firewall essa regra de acesso à duvel está, e qual
exatamente são os parâmetros.
{{< /alert >}}

A duvel está conectado em 10G com o resto do parque computacional através
do switch [](/docs/switches/dc/malbec).

## Serviços

- [Let's Encrypt para pegar certificados SSL que rodam no cron às 9h da manhã.](/docs/services/duvel-ssl)
- [Backups diários, semanais e mensais de várias máquinas virtuais e físicas. Eles executam em horários diferentes variando de 2h às 4h da manhã e são especificados manualmente no crontab.](/docs/services/duvel-backup)
  - Existe uma verificação diária para verificar se todas as máquinas virtuais constam no crontab, o script `/usr/local/bin/check_backup.sh`.
    Ao encontrar uma máquina virtual sem backup, o script envia um e-mail para os roots.
- [Servidor IPMI que dá acesso a todos as máquinas, sendo o uso do cliente do IPMI nesta máquina em específico.](/docs/services/duvel-ipmi)
- [Acesso a todos os switches via TFTP e SSH.](/docs/services/switches)
- Monitoramento dos sensores das máquinas integrando IPMI e Zabbix através do arquivo de configuração `/etc/ipmi_monitor.ini`, que envia informações dos sensores a cada minuto para o Zabbix.
- [Gerenciar o Salt, principalmente através do usuário salt.](/docs/services/salt)

## Mapeamento de arquivos

- `/root/LOG_deste_hw_nao_apagar.log`: nome óbvio (deixa aí).
- `/root/senhas.md`: senhas de várias máquinas (desatualizado, sugestão é remover).
- `/root/atualizar_certificado.sh`: atualiza o certificado SSL das máquinas
  listadas dentro do script (sugestão é remover ou recriar um script mais amigável
  no lugar certo).
- `/root/awk-lib` & `/root/.functions`: uma coleção de scripts para contar
  coisas muito específicas usando awk (mover).
- `/root/ipmi/acesso.md`: senhas conforme o tipo do acesso desejado (mover
  para um lugar centralizado fora da máquina).
- `/root/ipmi/howto.md`: Guia de como configurar o acesso IPMI (obsoleto, veja a [](/docs/guides/configuracao-acesso-ipmi)).
- `/root/ipmi/status_ipmi.md`: IP de cada máquina dentro da rede IPMI (mover
  para um lugar centralizado fora da máquina).
- `/root/ipmi/reset_hpc.md`: script que reinicializa as máquinas do C3HPC
  (mover para um lugar centralizado fora da máquina).
- `/root/ipmi/ipmi.sh`: script que realiza o acesso via IPMI para uma máquina
  (mover para o lugar certo).
- `/root/ipmi/scripts/create_user.sh`: script que cria usuário de monitoramento
  de sensores em várias máquinas (mover para um lugar centralizado fora da máquina).
- `/root/letsencrypt/dns_add.sh`: script que adiciona uma entrada de DNS.
- `/root/letsencrypt/dns_del.sh`: script que remove uma entrada de DNS de um jeito
  muito perigoso.
- `/root/letsyencrypt/getssl`: script de obter certificados para servidores web
  usando Let's Encrypt.
- `/root/script.sh`: um script obscuro para recuperar o home dos alunos de BCC?
- `/usr/local/bin/backup`: o super script de backup.
- `/usr/local/bin/check_backup.sh`: o super script de verificar se todas
  as máquinas virtuais têm backup.

## Hardware

| Modelo           | Capacidade | Conexão | Sistemas de arquivo |
| ---------------- | ---------- | ------- | ------------------- |
| 2x WDS500G2B0A   | 500 GB     | SATA    | `/boot` e  `/`      |
| 14x ST8000NM018B | 8 TB       | SAS     | `/tank` e `/backup` |

### Log de hardware

- 2018-06-18: (Castilho) Array novo para backup com 10 discos de 8Tb (md5).
  Colocados na parte frontal, da esquerda para direita.

  | Etiqueta na gaveta do HD | Serial Number |
  | ------------------------ | ------------- |
  | 0:0                      | 163MTG        |
  | 0:1                      | 161HCO        |
  | 0:2                      | 162MB8        |
  | 0:3                      | 161HCM        |
  | 0:4                      | 163MH4        |
  | 0:5                      | 161L31        |
  | 0:8                      | 163N2Z        |
  | 0:9                      | 163MCY        |
  | 0:10                     | 161LBP        |
  | 0:10                     | 161MA5        |

  O md4 com 8 discos de 8Tb pode ser removido daqui a 2 meses.

- 2022-12-08: Colocados 14 discos novos SAS na parte de trás.
