---
title: urquell
---

| | |
|-|-|
| **CPU** | 2x Intel(R) Xeon(R) CPU E5-2683 v4 @ 2.10GHz |
| **RAM** | 503 GiB |
| **Threads lógicas** | 64 = 2 sockets x 2 SMT x 16 cores |
| **Sistema operacional** | Debian GNU/Linux 11 6.1.20-2~bpo11+1 (2023-04-23) |
| **Gerenciador de serviços** | [](/pages/concepts/systemd) |
| **Sistema de arquivos** `/` | [](/pages/concepts/ext4) [MD RAID1](/pages/concepts/md) 64G |
| **Sistema de arquivos** `/var` | [](/pages/concepts/ext4) [MD RAID1](/pages/concepts/md) 156G |
| **Sistema de arquivos** `/nobackup` | [ZFS Mirror 3x3](/pages/concepts/zfs) 13.6T |
| **Sistema de arquivos** `/home` | [ZFS Mirror 3x3](/pages/concepts/zfs) 13.6T |

A Urquell é a máquina física que gerencia o DINF que acabou recebendo a tarefa
de também gerenciar o C3SL. Ela é uma parte crítica da infraestrutura, pois
contém muitos serviços essenciais para o funcionamento do departamento e do
C3SL. Existe um trabalho concorrente dos roots para documentá-la por completo
para replicar esta máquina na ocasião de uma falha catastrófica.

Alguns cuidados devem ser observados no gerenciamento desta máquina:

- [Reiniciar a urquell deve ser feito com cuidado](/pages/guides/reiniciando-urquell-cuidadosamente).
  Existe um bug na controladora de disco que falha e leva a um erro de paridade
  no RAID. Assim, dependendo da ocasião, a urquell pode iniciar em modo de
  emergência e pedir para fazer `fsck` ao iniciar, sendo possível a perda de
  alguns arquivos durante o processo. Reiniciar cuidadosamente é uma forma de
  mitigar, mas que não zera totalmente os riscos.
- Em particular, a quantidade de erros de RAID na urquell é maior do que o
  esperado. Todos os discos já foram trocados, levando a crer que é um problema
  na controladora ou no [](/pages/concepts/md). A correção dos
  erros de RAID não é feita com mais frequência devido à sensibilidade dos
  arquivos presentes da máquina. Veja mais sobre na [política de gerenciamento
  do RAID](/pages/policies/raid).

## Serviços

- [Servidor DNS primário dos domínios externos c3sl.ufpr.br, inf.ufpr.br e dos domínios internos c3local, home, dfs, nobreak, arcond](/pages/services/urquell-dns).
- [Autenticação do Departamento de Informática que utiliza Kerberos e LDAP.](/pages/services/urquell-autenticacao-dinf)
- Servidor NTP
- Servidor de e-mail Postfix
  - fail2ban
  - dovecot
  - postfwd
- Servidor NFS do diretório home dos usuários em ZFS pareado com um serviço customizado para requisições do comando `quota`.
- Crontab:
  - acerta aliases dos grupos de alunos
  - e-mails de aviso de quota em disco excedida

## Organização do sistema de arquivos

O `/root` da servidora é organizado em diretórios e arquivos, preferencialmente
os arquivos de configuração e documentação devem estar organizados em diretórios,
a fim deixar menor quantidade de itens no `/root`.

### Diretórios no /root

Os diretórios básicos são:

- **adm**: diretório de administração, arquivos de configuração e itens administrativos.
- **modules**: Diretório que contém os repositórios Git de alguns scripts.
- **bin**: scripts e binários criado pelos roots.
