---
title: abbey/Compilação do kernel das máquinas virtuais
---

A compilação de kernel das máquinas virtuais ocorre na
[](/pages/machines/virtuals/abbey) no diretório `/root/ramfs/kernel/`. A ideia é que
se for necessário aplicar algum patch de segurança, isso pode ser aplicado
de maneira imediata por meio da aplicação do patch, compilação, upload do kernel
para as máquinas virtuais e comando para reiniciar todas as máquinas virtuais.
Além disso, compilar o kernel nos permite escolher a menor quantidade de
módulos necessários, diminuindo a superfície de ataque.

Primeiramente, defina a variável `VERSION` para a versão desejada
(por exemplo `export VERSION=6.2.7`) e então:

```console
$ cd /root/ramfs/kernel/sources/
$ wget http://kernel.c3sl.ufpr.br/pub/linux/kernel/v6.x/linux-$VERSION.tar.gz
$ tar -xzf linux-$VERSION.tar.gz
$ cd linux-$VERSION
```

E aí você vai precisar de um arquivo de configuração `.config` no diretório
de compilação. Copie a última configuração utilizada para compilar o kernel
que deve ficar no diretório `/root/ramfs/kernel/config/`. Outra opção é
pegar a configuração de uma máquina virtual que está executando,
executando dentro da mesma:

```console
$ zcat /proc/config.gz > .config
```

E transferindo o arquivo para a abbey. Após ter um arquivo `.config` no
diretório atual, você pode então compilar o kernel:

```console
$ make oldconfig
$ make nconfig
$ make -j80 bzImage
```

O kernel compilado ficará em `arch/x86_64/boot/bzImage`.

Então para utilizar o novo kernel nas máquinas virtuais, você precisa copiar
o `bzImage` para o `/root/kernel` de todas as torneiras e da própria abbey.
Você pode executar:

```console
$ vmcommand reboot vm
```

Que irá reiniciar todas as máquinas virtuais reiniciando o processo do QEMU
responsável por cada uma delas. Vale lembrar que não é suficiente apenas
reiniciar a máquina virtual de dentro dela, pois o processo do QEMU gerenciado
pelo Proxmox vai permanecer o mesmo.

Lembre-se então de copiar a configuração do kernel utilizada para
`/root/ramfs/kernel/config` para facilitar a próxima compilação.
