---
title: roble/Roteamento
---

A [](/pages/machines/base/roble) faz o roteamento inteiro da rede. A configuração se
dá através de alguns arquivos:

- `/root/rede/interfaces`: interfaces de rede que conectam as redes do PoP PR, da AGTIC,
  da Física e do C3SL via switch [](/pages/switches/dc/malbec), além de uma conexão
  separada com a máquina [](/pages/machines/base/sagres).
- `/root/redes/rotas`: IP dos roteadores responsáveis pelas sub-redes internas
  e da AGTIC.
- `/root/rede/nat`: configuração do NAT de todas as VLANs públicas.

## Funcionamento

O serviço é estabelecido pelo script `/etc/init.d/network` nesta ordem:

1. O comando `nameif` nomeia as interfaces de rede
   por MAC através do arquivo `/etc/mactab`.
2. É criado um bond 802.3ad tanto para `MIR` quanto para o `POP`
   para aumentar a vazão, unindo duas interfaces de 10Gigabit cada.
3. As interfaces de rede são configuradas conforme o arquivo
   `/root/rede/interfaces`.
4. As rotas padrão são configuradas conforme o arquivo
   `/root/rede/rotas`.
5. O NAT é configurado conforme o arquivo `/root/rede/nat`.
6. O [serviço de firewall](roble-firewall) é chamado para se configurar.

## Topologia da rede

```
                       ____                .--.
                     .'    `.           .-(    )-.
                    /        \       .-(          )-.
                   (  PoP PR  ) --- (    internet    )
                    \        /       '-(          )-'
                     `.____.'           '--------'

                        | POP
    ____                | 2x10G          ____
  .'    `.    FISICA    |      CCE     .'    `.
 /        \    10G   .-----.   10G    /        \
(  "Física") --------|roble|-------- (   AGTIC  )
 \        /          '-----'          \        /
  `.____.'          /   |              `.____.'
              MIR  /    | SW
            2x10G /     | 10G
                 /      |
                /       | [porta 46]
         .------.    +------+
         |sagres|    |malbec|
         '------'    +------+
```

A roble está ligada a:

- [PoP PR](https://www.pop-pr.rnp.br) via bond de duas portas 10Gigabit `POP`.
- [AGTIC](https://www.agtic.ufpr.br) (antigo CCE) via porta 10Gigabit `CCE`.
- Data center da Física que está localizado na PA via porta 10Gigabit `FISICA`.
- [](/pages/machines/base/sagres), a máquina dos espelhos via bond de duas
  portas 10Gigabit `MIR`.
- [](/pages/switches/dc/malbec), o switch central do parque computacional
  via porta 10Gigabit `SW`.

## Modificações complicadas

Tudo é configurado pelo script em `/etc/init.d/network`. Dependendo da modificação,
é necessário executar somente a parte aplicável à mudança, como:

- Ao modificar o NAT, é necessário fazer flush de IPs de NAT, adicionar os
  IPs às interfaces e então reexecutar o [firewall](roble-firewall).
- Se modificar as rotas, é necessário fazer flush das rotas e rodar somente
  o trecho que adiciona rotas.
- No caso de adicionar interfaces, é necessário rodar o trecho que adiciona as
  interfaces.

Assim, por norma, o mais fácil é reiniciar a [](/pages/machines/base/roble).
