---
title: urquell/Servidor DNS
---

{{< alert title="Nota" >}}
Há um trabalho concorrente para replicar a configuração do servidor DNS
da urquell. A documentação atual é o [guia de configuração
do servidor de DNS da teorica](/docs/guides/teorica-dns).
{{< /alert >}}

A [](/docs/machines/base/urquell) é servidora primária e autoritativa de DNS sobre os domínios:

- `c3sl.ufpr.br`: domínio do C3SL, autoridade dada pela AGTIC.
- `inf.ufpr.br`: domínio do Departamento de Informática, autoridade dada pela AGTIC.
- `c3local`: domínio interno usado para máquinas dos laboratórios,
  acoplado ao [serviço de DHCPv4](estrella-dhcpv4).
- `home`: domínio interno usada para máquinas que montam o diretório home
  através do NFS como a [](/docs/virtuals/macalan).
- `dfs`: domínio interno usado para sistemas de arquivos distribuídos.
  Historicamente usado para o Gluster, agora usado pelo [](/docs/concepts/ceph).
  Todas as máquinas que precisam usar o CephFS precisam estar cadastradas
  neste nome.
- `nobreak`: domínio interno usado para acesso aos nobreaks.
- `arcond`: domínio interno usado para acesso aos ares-condicionados.

A [](/docs/machines/base/sagres) possui um [serviço de DNS secundário](sagres-dns)
que apenas replica os registros de DNS usando
[transferências de zona](/docs/concepts/dns.md#transferencias-de-zona).
Vale lembrar que a autoridade sobre os domínios externos `c3sl.ufpr.br` e `inf.ufpr.br`
é configurada por IP pela AGTIC em seus servidores DNS por
[registros de cola](/docs/concepts/dns.md#registros-de-cola).

Outro detalhe de implementação importante é que o DNS do C3SL não implementa
DNSSEC. Para que isso aconteça, porém, é necessário que o domínio acima,
o `ufpr.br` gerenciado pela AGTIC também o implemente, assinando e dando
legitimamente para as nossas chaves.

Além de ser servidora de DNS autoritativa, a [](/docs/machines/base/urquell)
também é a servidora de DNS recursiva da rede interna e os computadores aprendem
isso através do [servidor DHCPv4](/docs/services/estrella-dhcpv4). Isso significa
que praticamente todas as consultas de nomes são feitas a ela (para resolver
o IP de qualquer nome como `google.com`). Mas essa funcionalidade está limitada
a rede interna para evitar alguns tipos de ataques de DNS.

O servidor de DNS utilizado é o BIND e ele é configurado através de vários
arquivos incluídos pelo arquivo principal `/etc/bind/named.conf`. Arquivos no
diretório `/etc/bind/includes` são gerados pelo script `/root/bin/atualiza-dns-dhcp.py`
utilizando as tabelas disponíveis em `/root/mapas/dns-dhcp/`.

## systemd-resolved

O systemd-resolved é responsável por indicar o servidor de resolução de
nomes da servidora, é ele que gerencia o arquivo `/etc/resolv.conf`.
Como a urquell é servidor de DNS, é necessário que o systemd-resolved
busque resolver nomes no próprio servidor de DNS da urquell.
