---
title: Edgecore
description: Como configurar o switch da marca Edgecore
---

## Coleta de informações

### VLANs

```
Vty-1#show vlan
```

### Portas

```
Vty-1#show interface switchport
```

## Configuração

Precisa entrar no modo de configuração pelo comando `configure`.

### VLANs

#### Criar VLAN

```
Vty-1#config
Vty-1(config)#vlan database
Vty-1(config-vlan)#vlan 4 name fs media ethernet
Vty-1(config-vlan)#exit
```

#### Deletar VLAN

```
Vty-1#config
Vty-1(config)#vlan database
Vty-1(config-vlan)#no vlan 5
Vty-1(config-vlan)#exit
```

#### Adicionar VLAN numa porta

##### Untagged

```
interface ethernet <port>
 switchport allowed vlan add <vlan_id> untagged
```

**Exemplo**:
```
interface ethernet 1/49
 switchport allowed vlan add 2 untagged
```

##### Native

```
interface ethernet <port>
    switchport native vlan <vlan_id>
```

**Exemplo**:
```
interface ethernet 1/49
    switchport native vlan 1
```

##### Tagged

```
interface ethernet <port>
    switchport allowed vlan add <vlans_ids> tagged
```

**Exemplo**:
```
Vty-1(config)#interface ethernet 1/38-48
    Vty-1(config)#switchport vlan add vlan 118 tagged
```

#### Remover VLAN duma porta

```
interface ethernet <port>
    switchport allowed vlan remove <vlans_ids>
```
**Exemplo**:
```
Vty-1(config)#interface ethernet 1/38-48
Vty-1(config)#switchport allowed vlan remove 1
```

## Salvar configuração

Para que a configuração se aplique na próxima inicialização é necessário salvar:

```
Vty-1#copy running-config startup-config
Startup configuration file name [startup1.cfg]:
Flash programming started.
Flash programming completed.
Success.
```

Na [](/pages/machines/base/duvel), ative o TFTP:
```
duvel:~# /etc/init.d/tftpd-hpa start
duvel:~# touch /tftpboot/syrah
duvel:~# chmod 777 /tftpboot/syrah
```

No switch, salve a configuração:

```
Vty-1#copy running-config tftp
TFTP server IP address: 10.90.90.55
Destination file name: syrah
Success.
Vty-1#k
```
Na [](/pages/machines/base/duvel), desative o TFTP:

```
$ /etc/init.d/tftpd-hpa stop
```

Copie o arquivo de configuração para a [](/pages/machines/base/urquell).
