---
title: Extreme
description: Como configurar o switch da marca Extreme
---

## Coleta de informações

### MACs

O comando `show fdb` apresenta o MAC de todos os dispositivos conectados ao
switch. Para filtrar por VLAN, MAC ou porta, basta rodar o seguinte comando:

```
$ show fdb | grep <vlan_id or vlan_name or mac_address or port>
```

Exemplo:

```
$ show fdb | grep wireless
$ show fdb | grep 52
```

### VLANs

```
$ show vlan
```

### VLANs com detalhes

```
$ show vlan detail
```

### Informações de uma porta

```
$ show port <porta> information detail
```

As VLANs que possuem a informação `Internal Tag` são untagged.

## Configuração

### VLANs

#### Criar VLAN

```
$ create vlan <VLAN_NAME> {tag <802.1Q_TAG>} {description <DESCRIPTION>} {vr <VR>}
```

Onde:

- `VLAN_NAME`: nome da VLAN.
- `802.1Q_TAG`: tag da VLAN.
- `Description`: descrição da VLAN.
- `VR`: virtual router.

Exemplo:

```
$ create vlan xvri tag 226
```

#### Adicionar/Remover VLANs numa porta

```
$ configure vlan [<VLAN_NAME> | <802.1Q_TAG>] [add | delete] ports <PORT_LIST> {[untagged | tagged]}
```

Onde:

- `vlan_name`: nome da VLAN.
- `802.1Q_TAG`: tag da VLAN.
- `add | delete`: adicionar ou remover VLAN da porta
- `port_list`: lista de porta, pode ser separado por vírgula ou intervalo separado por `-`.
- `untagged | tagged`: caso queira que a VLAN seja untagged ou tagged.

Exemplos de VLAN tagged:

```
$ configure vlan "xvri" add ports 48 tagged
```

Exemplo de VLAN untagged:

```
$ configure vlan "xvri" add ports 1-45
```

## Salvar configuração

Para que as novas configurações sejam permanentes e resistam ao próximo reboot,
é necessário salvar a configuração utilizando o comando `save`.

Para fazer upload da configuração para [](/pages/machines/base/duvel) use o comando:

```
$ upload configuration <ip> <arquivo> vr "VR-Default"
```

Onde:

- ip: IP do servidor TFTP
- arquivo: arquivo para ser enviado, deve existir no servidor com permissão 777

Exemplo:

```
$ upload configuration 10.90.90.55 pinot1 vr "VR-Default"
```
