---
title: Pica8
description: Como configurar o switch da marca Pica8
---

Tipos de porta:

- ge - portas 1g
- te - portas 10g
- qe - portas 40g

## Coleta de informações

Antes de tudo, entre no modo `cli`:

```
$ cli
```

### Estado de todas as portas

```
$ show interface brief
```

### MAC

```
$ show mac-address table | match <mac>
```

### MACs

```
$ show mac-address table
```

### MACs de uma VLAN

```
$ show mac-address table | match <vlan_id>
```

### Portas de uma VLAN

```
$ show vlans vlan-id <vlan_id>
```

Exemplo:

```
admin@busano> show vlans vlan-id 143
VLAN ID: 143
VLAN Name: HONEYPOT
Description:
vlan-interface:
Number of member ports: 4
Untagged port: ge-1/1/1, ge-1/1/24, ge-1/1/25
Tagged port: te-1/1/49
```

### VLANs

```
$ show vlans
```

### VLANs de uma porta

Para listar todas VLANs de um determinado ponto, o comando deve ser rodado
no modo `configure`:

```
$ show interface gigabit-ethernet {ge,te,qe}-1/1/<porta> family ethernet-switching
```

## Configuração

Para entrar no modo de configuração execute o seguinte comando quando estiver no
`cli`:

```
$ configure
```

Importante: após toda alteração deve ser feito o `commit`, que salva as
configurações e aponta possíveis erros:

```
$ commit
```

### VLANs

#### Criar VLAN

```
$ set vlans vlan-id <id> vlan-name <name>
```

#### Deletar VLAN

```
$ delete vlans vlan-id <id>
```

{{< alert title="Nota" >}}
É necessário retirar manualmente a VLAN de todas as portas para conseguir
dar `commit`.
{{< /alert >}}

#### Mudar o modo da porta

Alterando para trunk:

```
$ set interface gigabit-ethernet {ge,te,qe}-1/1/<porta> family ethernet-switching port-mode trunk
```

#### Adicionar VLANs numa porta

```
$ set interface gigabit-ethernet {ge,te,qe}-1/1/<porta> family ethernet-switching vlan members <id> <untagged>
```

#### Remover VLANs de uma porta

```
$ delete interface gigabit-ethernet {ge,te,qe}-1/1/<porta> family ethernet-switching vlan members <id>
```

Você pode deletar todas as VLANs de uma só vez:

```
$ delete interface gigabit-ethernet {ge,te,qe}-1/1/<porta> family ethernet-switching vlan members
```

## Salvar configuração

Na [](/docs/machines/base/duvel), copie o arquivo de configuração do switch:

```
$ scp admin@<switch>:/pica/config/pica.conf <switch>.conf
```

Depois, salve o arquivo na [](/docs/machines/base/urquell).
